# $Revision: 1.49 $, $Date: 2007-04-10 22:48:54 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTML
%define		pnam	Format
Summary:	HTML::Formatter - base class for HTML formatters
Summary(pl.UTF-8):	HTML::Formatter - bazowa klasa dla klas formatujących HTML
Name:		perl-HTML-Format
Version:	2.04
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2d287392b77c959f06397371116c2d7e
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Font-AFM
BuildRequires:	perl-HTML-Element-Extended
%endif
Requires:	perl-Font-AFM
# do not change to BuildRequires
Requires:	perl-HTML-Tree >= 3.15
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	'perl(UNIVERSAL)'

%description
HTML formatters are able to format a HTML syntax tree into various
printable formats.  Different formatters produce output for different
output media.  Common for all formatters are that they will return the
formatted output when the format() method is called.  Format() takes a
HTML::Element as parameter.

%description -l pl.UTF-8
Klasy formatujące HTML mogą sformatować drzewo składni HTML do różnych
drukowalnych formatów. Różne klasy formatujące dają wyjście dla
różnych mediów. Wspólne dla wszystkich klas formatujących jest to, że
zwracają sformatowane wyjście po wywołaniu metody format(). format()
przyjmuje HTML::Element jako parametr.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/HTML/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-Format.spec,v $
Revision 1.49  2007-04-10 22:48:54  qrczak
- perl-Font-AFM is needed for tests.

Revision 1.48  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.47  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.46  2006/07/28 19:17:38  wrobell
- required only with tests

Revision 1.45  2006/07/28 19:14:06  wrobell
- fixed build requirements

Revision 1.44  2004/11/03 22:30:25  paladine
- formatting

Revision 1.43  2004/06/02 16:01:01  adamg
- updated to 2.04

Revision 1.42  2004/05/07 00:38:53  ankry
- rel. 5

Revision 1.41  2004/05/06 18:09:40  ankry
- fixed perl-devel BR

Revision 1.40  2004/04/25 08:29:41  ankry
- tests added

Revision 1.39  2004/04/22 06:53:51  ankry
- license fixes and unification

Revision 1.38  2004/04/14 17:08:52  ankry
- cosmetics, unifications

Revision 1.37  2003/09/09 10:24:37  ankry
- spaces -> tab

Revision 1.36  2003/08/18 08:08:50  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.35  2003/05/28 13:00:39  malekith
- massive attack: source-md5

Revision 1.34  2003/05/25 06:24:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.33  2003/04/15 00:16:44  ankry
- rel++ (to be higher than in RA-branch)

Revision 1.32  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.31  2003/03/01 19:36:42  radek
- should be ready for perl-5.8.0; release++

Revision 1.30  2003/02/25 00:39:25  radek
- use the __perl macro

Revision 1.29  2003/02/23 01:04:33  ankry
- added _noautoreqdep for perl(UNIVERSAL) - it is provided by perl-modules
  and perl-Attribute-Persistent
- rel. 2

Revision 1.28  2003/02/18 15:32:56  ankry
- massive attack: change CPAN URLs

Revision 1.27  2002/11/26 10:01:40  mis
- autoupdated to 2.03

Revision 1.26  2002/11/20 12:20:33  mis
- autoupdated to 2.02

Revision 1.25  2002/11/11 22:30:38  qboosh
- R: HTML-Tree >= 3.15

Revision 1.24  2002/11/08 18:37:33  radek
- version 2.01
- added missing file
- perl-Font-AFM is not required during the building stage
  and not recognized by the find-perl-requires

Revision 1.23  2002/08/15 21:59:26  qboosh
- pl description, release++

Revision 1.22  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.21  2002/08/07 07:41:10  marcus
- use new %%doc
- rel.7.

Revision 1.20  2002/07/10 08:47:32  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:31:50  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:15:54  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:26:49  depesz
adapterized

Revision 1.14  2002/01/18 02:14:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:17  mis
- buildarch noarch; release++

Revision 1.12  2001/04/30 15:01:56  baggins
- fixed buildrequires

Revision 1.11  2001/04/17 12:10:06  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/06 16:15:45  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.8  2001/01/05 10:13:05  yaro
- fixed BuildRequires

Revision 1.7  2000/08/16 22:12:37  kloczek
- updated to 1.23.

Revision 1.6  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.5  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/19 22:53:35  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:53  baggins
- translated kloczkish into english

Revision 1.1  2000/02/17 18:49:12  pius
- initial release
